%define version   0.5.91
%define release   %mkrel 11

%define scim_version   1.4.0

%define libname_orig lib%{name}
%define libname %mklibname %name 0

Name:      scim-pinyin
Summary:   Chinese input module for Smart Chinese/Common Input Method platform
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL+
URL:       http://www.scim-im.org
Source0:   %{name}-%{version}.tar.bz2
Patch0:	   scim-pinyin-0.5.91-gcc43.patch
Patch1:    scim-chinese-0.4.1-fix-l10n.patch
Patch2:    scim-pinyin-fix_build_for_skim_support.diff
Patch3:		scim-pinyin-0.5.91-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        scim-client = %{scim_api}
Obsoletes:        %{libname}
BuildRequires:   scim-devel >= 1.4.7-4mdk
BuildRequires:   libGConf2-devel automake libltdl-devel
Obsoletes:       %mklibname scim-chinese 0
Provides:        scim-chinese
Obsoletes:       scim-chinese

%description
SCIM is a platform for the development of input methods. This is the 
Chinese Pinyin input module for SCIM. You should install it if you
wish to enter Chinese text using the Pinyin input method.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build
%configure2_5x --disable-static
%make
# force rebuild of updated po:
%make -C po

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{scim_plugins_dir}/IMEngine/*.{a,la}
rm -f %{buildroot}%{scim_plugins_dir}/SetupUI/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_datadir}/scim/pinyin/*
%{_datadir}/scim/icons/*
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so


%changelog
* Fri Jan 30 2009 Funda Wang <fundawang@mandriva.org> 0.5.91-11mdv2009.1
+ Revision: 335450
- fix linkage

* Wed Jan 21 2009 Funda Wang <fundawang@mandriva.org> 0.5.91-10mdv2009.1
+ Revision: 332077
- rebuild

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.5.91-9mdv2009.0
+ Revision: 289142
- build without skim

* Thu Jun 19 2008 Funda Wang <fundawang@mandriva.org> 0.5.91-8mdv2009.0
+ Revision: 226129
- add gcc 4.3 patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 15 2008 Funda Wang <fundawang@mandriva.org> 0.5.91-7mdv2008.1
+ Revision: 188091
- drop libname

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.91-6mdv2008.1
+ Revision: 141784
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 0.5.91-5mdv2008.0
+ Revision: 62082
- add missing po
- Hard requires on release
- Rebuild

  + Adam Williamson <awilliamson@mandriva.org>
    - fix file locations
    - rebuild for 2008
    - don't package COPYING
    - improve descriptions
    - use Fedora license policy


* Fri Aug 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.91-3mdv2007.0
- add skim support
- add patch2 to enable skim

* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 0.5.91-2mdk
- rebuild for sparc

* Thu Aug 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.91-1mdk
- new release

* Mon Aug 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.90-1mdk
- new release
- remove patch2 (merged upstream)

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-6mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-5mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-4mdk
- Rebuild for new scim

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-3mdk
- rebuild for new scim

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-2mdk
- patch 2: update japanese translation

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-1mdk
- obsoletes scim-chinese
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>
  o new release
  o rebuild with scim-1.1.3

* Fri Jan 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-1mdk
- fix build
- initial release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

